Questions tagged [pip]

PIP is a tool for installing and managing Python packages. This topic covers issues installing packages from repositories with PIP.

Filter by
Sorted by
Tagged with
11
votes
5answers
34k views

How do I install pandas on Raspberry Pi?

I'm trying to install Python Pandas on my Raspi and I'm finding strange errors. ~ $ pip install pandas Downloading/unpacking pandas Downloading pandas-0.13.1.tar.gz (6.1Mb): 6.1Mb downloaded Running ...
10
votes
7answers
43k views

How to install latest Scipy version on Raspberry Pi

I currently have Raspbian OS and I tried: sudo apt-get install python-numpy python-scipy python-matplotlib ipython ipython-notebook python-pandas python-sympy python-nose which worked fine but ...
5
votes
1answer
6k views

smbus Import Error

I'm trying to use the module 'smbus' on python3. I've downloaded it - when I try to download smbus, it says that smbus is up to date and installed. However, when I try to use it, it says the module is ...
5
votes
2answers
8k views

Broken Python PIP install; What is the correct way to fix?

I have an install script that I've been using (and I swear it worked before on another Pi), but whatever I've done, it appears I have a broken install of pip, and I'm not sure how to fix it. I tried ...
4
votes
2answers
11k views

Can't install lxml

I'm making a bot for a wiki I'm setting up, and for it I need requests and lxml. However, when I do pip install lxml it gives me: Command /usr/bin/python -c "import setuptools, tokenize;__file__='/...
4
votes
1answer
12k views

SimpleCV installation on Raspberry Pi

I want to install SimpleCV, a Python framework for computer vision, on my Raspberry Pi. These are the steps I followed: Step 1 - install dependencies sudo apt-get install python-opencv python-scipy ...
4
votes
1answer
2k views

Failed RPi.GPIO installation on OS X

I am creating a server for the Raspberry Pi and I am partially writing the code using OS X. I need the RPi.GPIO module to make my script run, (even if I don't use it). After calling pip3 install RPi....
3
votes
1answer
3k views

Installing libraries via pip is taking forever. Raspberry pi 3b+

I tried to install scipy using pip3 install scipy as well as sudo pip3 install scipy and it got stuck at Building wheel for scipy for 45 minutes. Same is the case for cython. What is the fix or it ...
3
votes
2answers
9k views

Pip3 install throwing error on raspberry pi 3 Raspbian-Jessie

I am trying to install a python 3 library on a raspberry pi 3 running Raspbian-Jessie. sudo pip3 install LIBRARY However, regardless of what library I try to install, I am getting this error: ...
3
votes
3answers
4k views

can't install opencv on my pi

I'm an absolute Raspberry Pi newbie. My intention is to get some camera vision project working for which I need OpenCV3.3's dnn Python module. I've found here a description of how OpenCV can be ...
3
votes
2answers
8k views

pip3 installs to wrong directory

For some reason, pip3 does not install packages to the proper dist-packages directory, at least not the directory I expect. I am trying to install the package cleverwrap currently, but this happens ...
3
votes
0answers
642 views

Slow pip Raspberry PI 1

i have a issue with slow pip on Raspberry PI 1 on fresh install Raspbian Stretch. When i ran pip freeze it take a long time. pi@raspberrypi:~ $ time pip freeze > /dev/null real 0m43.337s user ...
2
votes
2answers
6k views

Problems installing lxml

I'm trying to install lxml (I need version 3.3.4) but when I try to pip install --upgrade lxml I keep getting build errors: gcc -pthread -fno-strict-aliasing -DNDEBUG -g -fwrapv -O2 -Wall -Wstrict-...
2
votes
1answer
4k views

pip not working Jessie Raspberry Pi2

Made a clean install of Raspbian Jessie on my RPi v2B. Made a static ip over ethernet using https://www.raspberrypi.org/forums/viewtopic.php?t=124423 to use putty and RealVNC of which both are working....
2
votes
1answer
1k views

Pip error trying to get gphoto lib

I am trying to install the gphoto2 library for Python on a Raspberry Pi B+ and I get this error: pi@mazePi:~ $ pip install gphoto2 Collecting gphoto2 Downloading https://files.pythonhosted.org/...
2
votes
3answers
8k views

Installing cryptography using pip on Raspbian Jessie image

I am trying to get netmiko (which uses paramiko) installed on Raspbian Jessie so that I can script SSH commands from my Pi. It doesn't seem to be that netmiko works out-of-the-box as I had hoped. So ...
2
votes
1answer
225 views

Got compilation error when installing plyvel

I got an error while trying to install plyvel on my raspberry (pi 3 B+) with sudo pip install plyvel : Looking in indexes: https://pypi.org/simple, https://www.piwheels.org/simple Collecting plyvel ...
2
votes
1answer
1k views

Problems in upgrading pip packages

I am having some troubles with pipon the Raspberry. These are the information about the OS: piName@raspberry ~ $ cat /etc/os-release PRETTY_NAME="Raspbian GNU/Linux 7 (wheezy)" NAME="Raspbian GNU/...
2
votes
1answer
64 views

Use raspberry python packages on non raspberry hardware

I would like to have the raspberry python3 pip packages (e.g. rpi.gpio, picamera) installed in non raspberry hardware (e.g. on my x86 Ubuntu based PC) so that tools like Visual Studio Code can provide ...
2
votes
1answer
75 views

Installing pip3 mysqlclient results in error

I have tried a few different ways to get this installed. mysqlclient and also tried pip install MySQL-python both result in error. pi@raspberrypi:/ $ pip install MySQL-python Looking in indexes: ...
2
votes
2answers
196 views

Unable to Install NumPy on Raspberry Pi 3

I'm installing NumPy on a Raspberry Pi 3 using pip. When I type in pip install numpy into the SSH bash terminal, pip starts collecting and downloading NumPy. But when it runs the setup.py file, it ...
2
votes
1answer
379 views

Can not install Svgtools. Probably because off SciPy and numpy

I was tring to install PocketVj using this guide from the Github page. I installed all the dependencies using sudo apt-get install... with no problems. Followed by sudo pip install --upgrade pip again ...
2
votes
2answers
19k views

pip cannot confirm SSL certificate: SSL module is not available

I am trying to install openCv for Python 3.6 on my Raspberry Pi 3 Model B+, but somehow it won't connect to the python.org website. I have pip installed for 2.7, 3.0, and 3.6 installed, so when I go ...
2
votes
1answer
3k views

Found a PyPi Package for Opencv-contrib, but can't install using pip

I'm trying to install OpenCV for python with extra modules on my raspberry pi. The OpenCV website has a set of instructions that I have tried with different variations for the past several months. I ...
2
votes
1answer
8k views

Error while installing a 'sqlite3' Python package

I have been trying to install several packages on my newly reformatted RPi and came across this error: Command python setup.py egg_info failed with error code 1 in /tmp/pip-build-d1xgrryi/sqlite3 In ...
2
votes
1answer
5k views

Python 3.5 and pip on Raspberry Pi 3

I'm developing a new application and my first in Python on the raspberry pi. Is there any disadvantage to using python 3.5 vs 2.7? The application will be strictly console not x11. Are all the ...
2
votes
2answers
2k views

/sys/devices/virtual/gpio dissapears after installing RPi.GPIO on Archlinux ARM

...tinkered a bit with GPIO and Piface Digital. It was all ok until I had installed RPi.GPIO via pip. After that the directory /sys/devices/virtual/gpio disappeared and never showed up again. I had it ...
2
votes
1answer
339 views

Why do I have to cmake opencv?

Places with tutorials to make my RPi run OpenCV and start pattern recognition include the part where I have to be Building OpenCV. http://www.pyimagesearch.com/2016/04/18/install-guide-raspberry-pi-3-...
2
votes
0answers
469 views

Unable to install CEC in Virtualenv with Python 3.4

I am trying to install CEC pip install cec but I am unable to do so. I get the following error: (venv) pi@MyPi3:~/my_projects_pi $ pip install cec Collecting cec Using cached cec-0.2.5.tar.gz ...
2
votes
2answers
2k views

Unable to install SimpleCV on Raspberry Pi 3

I've tried multiple times and different ways to install SimpleCV for Python2 on my Raspberry Pi 3. I was able to do this with no problem on RP2. The first method I tried was using pip: sudo pip ...
1
vote
1answer
268 views

Error Installing TensorFlow on Rasperry Pi 3 B

I'm following this guide to create an AI chatbot which requires Python 3.6, tensorflow etc. So I installed Python 3.6.8. To install TensorFlow I tried sudo pip install tensorflow I also downloaded ...
1
vote
2answers
3k views

Pip exception while installing matplotlib on raspberry pi

I am working in a opencv project on the raspberry pi, and im using a virtual environment, but i used pip to install numpy, scipy and other libraries, but when trying to install matplotlib on pip by: ...
1
vote
2answers
16k views

How can I install numpy and pandapower?

How can I install numpy and pandapower on the RASPBIAN JESSIE LITE Minimal image based on Debian Jessie? the one without the GUI. And how can I install Pip and miniconda on it as well?
1
vote
1answer
34 views

Pandasql on Raspbian?

Has anyone successfully installed the Python pandasql package on their Raspberry Pi? sudo apt-get install pandasql Gives the following results: Reading package lists... Done Building dependency ...
1
vote
1answer
299 views

pip install is giving weird errors on a RPI 3B+ with rasbian

If I try to install something using pip it gives me a weird error. Time is set correctly and sudo doesn't change anything. For example I try installing conan pip install conan​ gives an error: pi@...
1
vote
2answers
165 views

Rasp Pi, pip error setup.py egg_info

I am new to pi and I wanted to test it out on a python module for talking to building automation devices. Its called BAC0 From the documentation: https://bac0.readthedocs.io/en/latest/getstarted.html#...
1
vote
1answer
1k views

pip install flask not working

Raspberry Pi 3 OS - Noobs Default Python Version - 2.7.9. I have also installed Python 3.6 I want to use the Flask Web Framework for a project on my RasPi 3. I have installed the latest version of ...
1
vote
1answer
1k views

Error while using IMAPClient “ImportError : No module named imapclient”

I have installed all Library as given here Email Notifier StackExchange Still I am getting error as: "File "mail.py", line 1,in, import imapclient ImportError : No module named imapclient" Please ...
1
vote
1answer
134 views

Can't find python pip on newly installed Buster on my old model B

Anyone else using python and pip on Buster lite? Pip is not working for me on my old dual usb Model B. Just seems to be missing. I tried installing it using the "get-pip.py" module from the official ...
1
vote
1answer
4k views

Installing a specific version of pymongo using pip3

Raspi/Linux noob here. Due to compatibility issues with another program, I need to install an older version of pymongo. 3.5.1 to be more specific. I have used pip3 for the pymongo install. So, based ...
1
vote
1answer
686 views

filename.whl is not supported wheel on this platform RaspberryPI3

I would like to install PyQt5-5.6-cp35-cp35m-manylinux1_x86_64.whl that I have saved to local drive. I am using: pip 9.0.1 from python3.5/site-packages (python 3.5) when I run: pip3 install PyQt5-5....
1
vote
1answer
430 views

Error while trying to install pubnub using pip

I tried installing pubnub. I went through the website of pubnub and did as it was told on the website. https://www.pubnub.com/blog/2015-07-22-getting-started-with-raspberry-pi-2-and-pubnub-in-python-...
1
vote
1answer
176 views

Unable to pip install librosa in raspberry pi 3 model b+ (Raspbian stretch)

Respected people, Attempt 1: when I run the command, pip3 install librosa I am stuck here, Running setup.py bdist_wheel for scipy ... \ It was taking more then 2 hours but it was still ...
1
vote
0answers
933 views

Updating python version3.6 to python 3.8.1

currently, my raspberry pi runs python versions 2.7 and 3.6 [by default] and version 3.8.1 [I'm trying to update the current version] This causes a lot of trouble when I try to install a new package ...
1
vote
0answers
592 views

Cannot install pip3.5. Pip is configured with locations that require TSL/SSL?

I'm trying to install pip3.5 with python3.5 on raspbian on my raspberry pi, and I can not get it to work for the life of me. I have already installed python 3.5 without problems but I cannot seem to ...
1
vote
3answers
8k views

PIP: Requirement already satisfied: imutils

I am trying to run a home surveillance program using rasp pi 3 model b i have done: sudo apt-get install python-pip python-opencv successfully but somehow stuck below: root@raspberrypi:/home/pi/...
1
vote
0answers
359 views

Change pip from 3.4 to 3.5

Recently, I have installed python3.5 on raspi, while I had 3.4 (by default). So now I have a problem with pip, because it is linked with 3.4 and not 3.5, so whenever I install package, it is done for ...
1
vote
0answers
1k views

pip can not install pillow into virtualenv

I tried to install pillow inside a virtualenv under the interpreter: $VIRTUAL_ENV/bin/python3.4 I used the command: pip install pillow and got the following error: Traceback (most recent call ...
1
vote
1answer
459 views

Error when installing Flexget

Having some problems trying to install flexget. I get the following error when I run the command: pi@rpi:~$ sudo pip install flexget Requirement already satisfied (use --upgrade to upgrade): ...
1
vote
1answer
3k views

No address associated with hostname when using pip install on raspbien

I'm attempting to set up flask to serve as a local webpage to interface with my pi, but for some reason it keeps returning errors when trying to download flask: sudo pip install flask -v Downloading/...